
<button mat-flat-button
        color="accent"
        (click)="saveApp()"
        [disabled]="canSaveApp()">
	Сохранить анкету </button>

<mat-tab-group >
	<mat-tab>
		<ng-template mat-tab-label>
			Конкурсная группа
			<mat-icon class="ml-4" [svgIcon]="this.competitiveId? 'check' : 'exclamation' ">  </mat-icon>
		</ng-template>
		<div class="py-20">
			<mat-card class="art-card">

				<div>

					<div>
						<h4 fxFlex=""> Выберите Конкурсную группу  </h4>
						<button mat-icon-button
						        [matTooltip]="competitiveFilter?  'Скрыть фильтр': 'Показать фильтр'"
						        (click)="competitiveFilter = !competitiveFilter">
							<mat-icon [svgIcon]=" competitiveFilter? 'filter-variant-remove' : 'filter-variant' "></mat-icon>
						</button>
					</div>


					<section *ngIf="competitiveFilter" class="competitive-filter">
						<div fxLayout="row" fxLayout.lt-md="column">
							<mat-form-field appearance="standard"   fxFlex="" fxFlex.lt-md="100">
								<mat-label>Приемная кампания</mat-label>
								<mat-select [(ngModel)]="competitiveFilterData.id_campaign"
											[disabled]="competitiveId && competitiveInfo">
									<ngx-mat-select-search
										[(ngModel)]="search.campaign"
										[placeholderLabel]="'Поиск'"
										[noEntriesFoundLabel]="'Данные не найдены'">
										<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
									</ngx-mat-select-search>
									<mat-option *ngFor="let item of cls.campaign.data | filter: search.campaign"  [value]="item.id">
										{{item.name}}
									</mat-option>
								</mat-select>
								<button mat-icon-button matSuffix
									(click)="competitiveFilterData.id_campaign=undefined; $event.stopPropagation()"
									[disabled]="competitiveId && competitiveInfo">
									<mat-icon svgIcon="close"></mat-icon>
								</button>
							</mat-form-field>
						</div>

						<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px' >
							<mat-form-field appearance="standard" fxFlex="" fxFlex.lt-md="100">
								<mat-label>Уровень образования</mat-label>
								<mat-select [(ngModel)]="competitiveFilterData.id_education_level"
											[disabled]="competitiveId && competitiveInfo">
									<mat-option *ngFor="let item of cls.education_level.data" [value]="item.id">
										{{item.name}}
									</mat-option>
								</mat-select>
								<button mat-icon-button matSuffix
									(click)="competitiveFilterData.id_education_level=undefined; $event.stopPropagation()"
									[disabled]="competitiveId && competitiveInfo">
									<mat-icon svgIcon="close"> </mat-icon>
								</button>
							</mat-form-field>
							<mat-form-field appearance="standard" fxFlex="" fxFlex.lt-md="100">
								<mat-label>Форма обучения</mat-label>
								<mat-select [(ngModel)]="competitiveFilterData.id_education_form"
											[disabled]="competitiveId && competitiveInfo">
									<mat-option *ngFor="let item of cls.education_forms.data" [value]="item.id">
										{{item.name}}
									</mat-option>
								</mat-select>
								<button mat-icon-button matSuffix
									(click)="competitiveFilterData.id_education_form=undefined; $event.stopPropagation()"
									[disabled]="competitiveId && competitiveInfo">
									<mat-icon svgIcon="close"></mat-icon>
								</button>
							</mat-form-field>
							<mat-form-field appearance="standard" fxFlex="" fxFlex.lt-md="100">
								<mat-label>Источник финансирования</mat-label>
								<mat-select [(ngModel)]="competitiveFilterData.id_education_source"
											[disabled]="competitiveId && competitiveInfo">
									<mat-option *ngFor="let item of cls.education_source.data " [value]="item.id">
										{{item.name}}
									</mat-option>
								</mat-select>
								<button mat-icon-button matSuffix
									(click)="competitiveFilterData.id_education_source=undefined; $event.stopPropagation()"
									[disabled]="competitiveId && competitiveInfo">
									<mat-icon svgIcon="close"></mat-icon>
								</button>
							</mat-form-field>
						</div>

						<div fxLayout="row" fxLayout.lt-md="column">
							<mat-form-field appearance="standard" fxFlex="" fxFlex.lt-md="100">
								<mat-label>Направление подготовки</mat-label>
								<mat-select [(ngModel)]="competitiveFilterData.id_direction"
											[disabled]="competitiveId && competitiveInfo">
									<ngx-mat-select-search
										[(ngModel)]="search.direction"
										[placeholderLabel]="'Поиск'"
										[noEntriesFoundLabel]="'Данные не найдены'">
										<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
									</ngx-mat-select-search>
									<mat-option *ngFor="let item of cls.direction.data | filter: search.direction" [value]="item.id">
										{{item.name}}
									</mat-option>
								</mat-select>
								<button mat-icon-button matSuffix
									(click)="competitiveFilterData.id_direction=undefined; $event.stopPropagation()"
									[disabled]="competitiveId && competitiveInfo">
									<mat-icon svgIcon="close"></mat-icon>
								</button>
							</mat-form-field>
						</div>

						<button mat-flat-button color="primary"
						        class="mr-8"
						        (click)="loadCompetitive()"
								[disabled]="competitiveId && competitiveInfo"> Поиск Конкурсной группы </button>
						<button mat-stroked-button (click)="deleteCompetitiveFilter()"
								[disabled]="competitiveId && competitiveInfo"> Очистить фильтр </button>
					</section>

				</div>

				<section *ngIf="cls.competitive.data.length; else competitiveNotFound">
					<div fxLayout="row" fxLayout.lt-md="column">
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
							<mat-label>Конкурсная группа</mat-label>
							<mat-select [(ngModel)]="competitiveId"
								[disabled]="(competitiveId && competitiveInfo) ">
								<ngx-mat-select-search
									[(ngModel)]="search.competitive"
									[placeholderLabel]="'Поиск'"
									[noEntriesFoundLabel]="'Данные не найдены'">
									<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
								</ngx-mat-select-search>
								<mat-option *ngFor="let item of cls.competitive.data | filter: search.competitive" [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
							<!--<button mat-icon-button matSuffix>
								<mat-icon>close</mat-icon>
							</button>-->
						</mat-form-field>



					</div>
					<ng-container  *ngIf="!competitiveInfo">
						<button mat-flat-button color="accent"
							[disabled]="!competitiveId"> Загрузить информацию о конкурсе </button>
					</ng-container>
					<ng-container  *ngIf="competitiveInfo">
						<button mat-flat-button color="accent"
							(click)="deleteCompetitive()"> Удалить выбранную конкурсную группу </button>
					</ng-container>


				</section>

				<ng-template #competitiveNotFound> <i>нет доступных конкурсных групп </i> </ng-template>

				<section *ngIf="competitiveInfo" class="mt-20">
					<mat-expansion-panel class="mb-16 border">
						<mat-expansion-panel-header>
							<div fxFlex=""> Основная информация  </div>

						</mat-expansion-panel-header>

						<div>

							<div fxLayout="row" fxLayout.lt-md="column">
								<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">

									<mat-label>Приемная капания</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.name_campaign" [readonly]="true" >
								</mat-form-field>
							</div>

							<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
									<mat-label>Наименование конкурсной группы</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.name" [readonly]="true" >
								</mat-form-field>

								<mat-form-field appearance="fill" fxFlex="32.6" fxFlex.lt-md="100" >
									<mat-label>UID</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.uid" [readonly]="true" >
								</mat-form-field>
							</div>


							<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="">
									<mat-label> Уровень образования</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.name_education_level" [readonly]="true" >
								</mat-form-field>

								<mat-form-field appearance="fill" fxFlex="">
									<mat-label> Источник финансирования</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.name_education_source" [readonly]="true" >
								</mat-form-field>


								<mat-form-field appearance="fill" fxFlex="">
									<mat-label> Уровень бюджета</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.name_level_budget" [readonly]="true" >
								</mat-form-field>

							</div>

							<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
								<mat-form-field appearance="fill" fxFlex="">
									<mat-label> Форма обучения</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.name_education_form" [readonly]="true" >
								</mat-form-field>

								<mat-form-field appearance="fill" fxFlex="">
									<mat-label> Направление подготовки</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.name_direction" [readonly]="true" >
								</mat-form-field>

								<mat-form-field appearance="fill" fxFlex="">
									<mat-label> Количество мест</mat-label>
									<input matInput [ngModel]="competitiveInfo.competitive.number" [readonly]="true" >
								</mat-form-field>
							</div>

						</div>

					</mat-expansion-panel>

					<mat-expansion-panel class="mb-16 border">
						<mat-expansion-panel-header>
							<div fxFlex=""> Образовательные программы  </div>
						</mat-expansion-panel-header>

						<div>
							<div *ngIf="competitiveInfo.education_programs; else educationProgramsEmpty">
								<table mat-table
									[dataSource]="competitiveInfo.education_programs">
									<ng-container matColumnDef="name">
										<th mat-header-cell *matHeaderCellDef > Наименование образовательной программы </th>
										<td mat-cell *matCellDef="let row"> {{ row.name }}</td>
									</ng-container>

									<ng-container matColumnDef="uid">
										<th mat-header-cell *matHeaderCellDef > UID</th>
										<td mat-cell *matCellDef="let row"> {{ row.uid }}</td>
									</ng-container>

									<tr mat-header-row *matHeaderRowDef="['name', 'uid']; sticky: false"></tr>
									<tr class="table-row" mat-row *matRowDef="let item; columns: ['name', 'uid']"></tr>

								</table>
							</div>
							<ng-template #educationProgramsEmpty>
								<i> образовательные программы не найдены </i>
							</ng-template>
						</div>
					</mat-expansion-panel>

					<mat-expansion-panel class="mb-16 border">
						<mat-expansion-panel-header>
							<div fxFlex=""> Вступительные испытания </div>
						</mat-expansion-panel-header>

						<div>
							<div *ngIf="competitiveInfo.entrance_tests; else entrantsTestEmpty">
								<table mat-table
									[dataSource]="competitiveInfo.entrance_tests">
									<ng-container matColumnDef="testType">
										<th mat-header-cell *matHeaderCellDef > Тип вступительного испытания </th>
										<td mat-cell *matCellDef="let row"> {{ row.name_entrance_test_type }}</td>
									</ng-container>

									<ng-container matColumnDef="subject">
										<th mat-header-cell *matHeaderCellDef > Предмет </th>
										<td mat-cell *matCellDef="let row">
											<span *ngIf="row.is_ege">{{ row.name_subject }}</span>
											<span *ngIf="!row.is_ege">{{ row.test_name }}</span>
										</td>
									</ng-container>

									<ng-container matColumnDef="ege">
										<th mat-header-cell *matHeaderCellDef > Тип </th>
										<td mat-cell *matCellDef="let row"> {{ row.is_ege | yesNo: 'ЕГЭ': 'Не ЕГЭ' }}</td>
									</ng-container>

									<ng-container matColumnDef="mark">
										<th mat-header-cell *matHeaderCellDef > Мин. балл </th>
										<td mat-cell *matCellDef="let row"> {{ row.min_score }}</td>
									</ng-container>

									<ng-container matColumnDef="priority">
										<th mat-header-cell *matHeaderCellDef > Приоритет </th>
										<td mat-cell *matCellDef="let row"> {{ row.priority }}</td>
									</ng-container>

									<ng-container matColumnDef="uid">
										<th mat-header-cell *matHeaderCellDef > UID</th>
										<td mat-cell *matCellDef="let row"> {{ row.uid }}</td>
									</ng-container>

									<tr mat-header-row
										*matHeaderRowDef="['testType', 'subject', 'ege', 'mark', 'priority', 'uid'  ]; sticky: false">
									</tr>
									<tr mat-row
										*matRowDef="let item; columns: ['testType', 'subject', 'ege', 'mark', 'priority', 'uid'  ]"></tr>

								</table>
							</div>
							<ng-template #entrantsTestEmpty>
								<i> образовательные программы не найдены </i>
							</ng-template>
						</div>

					</mat-expansion-panel>



				</section>


			</mat-card>
		</div>
	</mat-tab>
	<mat-tab>
		<ng-template mat-tab-label>
			Документы
			<mat-icon class="ml-4" [svgIcon]="this.selectedDoc.valid? 'check' : 'exclamation' ">  </mat-icon>
		</ng-template>
		<div class="py-20">
			<div >

				<div>

					<div>
						<h4 class="mb-12"> Прикрепите документы  </h4>
						<span class="mat-caption"> Необходимо прикрепить минимум один документ удостоверяющий личность
							и один документ об образовании</span>
					</div>

					<app-entrant-doc-list
						[docs]="docs"
						[hasSelected]="true"
						[(selectedDoc)]="selectedDoc.items"
						(valueChanges)="changeSelect($event)">

					</app-entrant-doc-list>

				</div>

			</div>
		</div>
	</mat-tab>

	<mat-tab>
		<ng-template mat-tab-label>
			Основная информация
			<mat-icon class="ml-4" [svgIcon]="this.otherDataForm.valid? 'check' : 'exclamation' ">  </mat-icon>
		</ng-template>

		<mat-card class="art-card" >
			<form [formGroup]="otherDataForm">

				<div  fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
					<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
						<mat-label>Номер заявления</mat-label>
						<input matInput formControlName="app_number" required>
					</mat-form-field>
					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
						<mat-label>Дата регистрации заявления</mat-label>
						<input matInput [matDatepicker]="picker"
						       formControlName="registration_date" required>
						<mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
						<mat-datepicker #picker></mat-datepicker>
					</mat-form-field>
				</div>
				<div  fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
					<mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100" >
						<mat-label>UID</mat-label>
						<input matInput formControlName="uid" appNullValue>
					</mat-form-field>
					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
						<mat-label>Рейтинг заявления</mat-label>
						<input matInput formControlName="rating" appNullValue>
					</mat-form-field>
					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
						<mat-label>Приоритет заявления</mat-label>
						<input matInput appInteger formControlName="priority" appNullValue>
					</mat-form-field>
				</div>

				<div fxLayout="column" fxLayoutGap="16px">

					<mat-checkbox formControlName="first_higher_education"> Первое высшее образование</mat-checkbox>

					<mat-checkbox formControlName="original"> Оригинал документа об образовании</mat-checkbox>
					<ng-container *ngIf="otherDataForm.get('original').value === true">
						<div>
							<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
								<mat-label>Дата получения оригиналов документов</mat-label>
								<input matInput [matDatepicker]="pickerOriginalDoc"
									formControlName="original_doc"
									[appDisableControl]="otherDataForm.get('original').value !== true"
									required>
								<mat-datepicker-toggle matSuffix [for]="pickerOriginalDoc"></mat-datepicker-toggle>
								<mat-datepicker #pickerOriginalDoc></mat-datepicker>
							</mat-form-field>
						</div>
					</ng-container>

					<mat-checkbox formControlName="agreed"> Согласие на зачисление </mat-checkbox>
					<ng-container *ngIf="otherDataForm.get('agreed').value === true">
						<div>
							<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
								<mat-label>Дата получения согласия</mat-label>
								<input matInput [matDatepicker]="pickerAgreedDate"
									formControlName="agreed_date"
									[appDisableControl]="otherDataForm.get('agreed').value !== true"
									required>
								<mat-datepicker-toggle matSuffix [for]="pickerAgreedDate"></mat-datepicker-toggle>
								<mat-datepicker #pickerAgreedDate></mat-datepicker>
							</mat-form-field>
						</div>
					</ng-container>

					<mat-checkbox formControlName="need_hostel"> Необходимость общежития</mat-checkbox>

					<mat-checkbox formControlName="distance_test"> Проведение ВИ с использованием дистанционных технологий</mat-checkbox>
					<div class="mt-16">
						<mat-form-field appearance="fill" fxFlex="">
							<mat-label> Место проведения ВИ с использованием дистанционных технологий </mat-label>
							<textarea matInput formControlName="distance_place" appNullValue></textarea>
						</mat-form-field>
					</div>

					<mat-checkbox formControlName="special_conditions"> Проведение ВИ с созданием специальных условий</mat-checkbox>

				</div>
			</form>
		</mat-card>
	</mat-tab>
</mat-tab-group>



